package com.weChatmarket.contens;

public enum ResultCodeEnum {
	HTTP_OK(200, "成功"),
	HTTP_LOGIN(201, "用户没有登陆"),
	HTTP_PARAMS_ERROR(400, "输入参数错误"),
	HTTP_USER_INEXISTENCE(401,"用户不存在"),
	HTTP_ORIGINAL_PASSWORD_ERROR(402,"原密码错误"),
	HTTP_FORBIDDEN(403,"没有权限"),
	HTTP_ERROR(500, "系统异常");

	int code;
	String msg;

	private ResultCodeEnum(int code, String msg) {
		this.code = code;
		this.msg = msg;
	}

	public int getCode() {
		return code;
	}

	public void setCode(int code) {
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

}
