package com.weChatmarket.dto;

import java.io.Serializable;

/**
 * 微信商场店铺信息表
 * 
 * @author create by dongshize
 */
public class WxShopInforDto implements Serializable {
	private static final long serialVersionUID = 1L;
	private Long id;// 主键
	private String name;// 商铺名称
	private String code;// 门牌号
	private Long typeId;// 种类ID
	private String typeName; // 种类名称
	private String label;// 标签ID
	private String labelName;// 标签名称
	private String telephone;// 电话号码
	private String introduce;// 店铺介绍
	private String wechat;// 微信联系方式
	private String shopMap;// 店铺主图
	private String shopMapName;// 主图名字
	private Integer status;// 店铺状态| 1，有效；2，无效
	private Integer top;// 置顶| 1置顶，0默认顺序

	public void setId(Long id) {
		this.id = id;
	}

	public Long getId() {
		return this.id;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getName() {
		return this.name;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getCode() {
		return this.code;
	}

	public void setTypeId(Long typeId) {
		this.typeId = typeId;
	}

	public Long getTypeId() {
		return this.typeId;
	}

	public void setLabel(String label) {
		this.label = label;
	}

	public String getLabel() {
		return this.label;
	}

	public void setTelephone(String telephone) {
		this.telephone = telephone;
	}

	public String getTelephone() {
		return this.telephone;
	}

	public void setIntroduce(String introduce) {
		this.introduce = introduce;
	}

	public String getIntroduce() {
		return this.introduce;
	}

	public void setWechat(String wechat) {
		this.wechat = wechat;
	}

	public String getWechat() {
		return this.wechat;
	}

	public void setShopMap(String shopMap) {
		this.shopMap = shopMap;
	}

	public String getShopMap() {
		return this.shopMap;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public Integer getStatus() {
		return this.status;
	}

	public void setTop(Integer top) {
		this.top = top;
	}

	public Integer getTop() {
		return this.top;
	}

	public String getTypeName() {
		return typeName;
	}

	public void setTypeName(String typeName) {
		this.typeName = typeName;
	}

	public String getLabelName() {
		return labelName;
	}

	public void setLabelName(String labelName) {
		this.labelName = labelName;
	}

	public String getShopMapName() {
		return shopMapName;
	}

	public void setShopMapName(String shopMapName) {
		this.shopMapName = shopMapName;
	}
}
