package com.weChatmarket.service;

import com.weChatmarket.domain.WxShopItem;
import com.weChatmarket.page.BasePage;

/**
 * 商品详细信息表 create by dongshize
 */
public interface WxShopItemService extends BaseService<WxShopItem> {

	public void addOrUpdateWxShopItem(Long id, Long pId, String title, String content, String photoId,
			String photoName);

	public WxShopItem makeWxShopItem(Long id, Long pId, String title, String content, String photoId, String photoName,
			Integer status);

	public void updateStatusById(Long id);

	public BasePage<WxShopItem> findPage(Integer pageNum, Integer pageSize, Long pId);

	public void updateStatusByPId(Long pId);

}
