#!/bin/bash
source ~/.bashrc
DEPLOY_DIR='/usr/local/'
SERVER_NAME='weChat-market'


PIDS=`ps -ef | grep java | grep "$SERVER_NAME" |awk '{print $2}'`
if [ -z "$PIDS" ]; then
    echo "ERROR: The $SERVER_NAME does not started!"
    exit 1
fi

if [ "$1" != "skip" ]; then
	$DEPLOY_DIR/bin/$SERVER_NAME/dump.sh
fi

echo -e "Stopping the $SERVER_NAME ...\c"
for PID in $PIDS ; do
    kill $PID > /dev/null 2>&1
done

COUNT=0
while [ $COUNT -lt 120 ]; do
	((COUNT++))
    for PID in $PIDS ; do
    	echo -e ".\c"
        PID_EXIST=`ps -ef | grep $PID | grep java |awk '{print $2}'`
        if [ -z "$PID_EXIST" ]; then
        	COUNT=120
            break
        fi
        sleep 1
    done
done

echo "OK!"
echo "PID: $PIDS"
