package com.weChatmarket.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.weChatmarket.domain.WxShopInfor;
import com.weChatmarket.dto.WxShopInforDto;

/**
 * 微信商场店铺信息表 create by
 */
public interface WxShopInforDao extends BaseDao<WxShopInfor> {

	public List<WxShopInforDto> findPage(@Param("searchValue") String searchValue, @Param("typeId") Long typeId);

	public List<WxShopInfor> findByLabel(@Param("label") String label);

	public void cleanTypeAndLabelByTypeId(@Param("typeId") Long typeId);

}