package com.weChatmarket.service.impl;

import java.io.Serializable;
import java.util.List;

import com.weChatmarket.service.BaseService;

public abstract class BaseServiceImpl<T> implements BaseService<T> {

	@Override
	public T findById(Serializable id) {
		return getDao().findById(id);
	}

	@Override
	public int create(T obj) {
		return getDao().create(obj);
	}

	@Override
	public int update(T obj) {
		return getDao().update(obj);
	}

	@Override
	public int deleteById(Object obj) {
		return getDao().deleteById(obj);
	}

	@Override
	public T findByNamedParam(Serializable serializable) {
		return (T) getDao().findByNamedParam(serializable);
	}

	@Override
	public List<T> findByNamedParamList(Serializable serializable) {
		return getDao().findByNamedParamList(serializable);
	}
}
